package com.molin.study_class.interceptor;

import com.molin.study_class.entry.ApiResponse;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.PrintWriter;

@Component
public class TokenInterceptor implements HandlerInterceptor {

    // 定死的 token 值
    private static final String FIXED_TOKEN = "eACTMM0UpOlnBlpiPPfpJ3uEEs1nY0QG320rwxLKIp4XPBsypoBr5Rtmj";

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        // 从请求头中获取 token
        String token = request.getHeader("token");

        // 校验 token
        if (token != null && token.equals(FIXED_TOKEN)) {
            return true; // 验证通过
        }

        // 验证失败，返回错误信息
        response.setCharacterEncoding("UTF-8");
        response.setContentType("application/json; charset=utf-8");
        PrintWriter writer = response.getWriter();
        writer.write(new ObjectMapper().writeValueAsString(new ApiResponse(401, "Token 验证失败", null)));
        writer.flush();
        writer.close();

        return false;
    }
}
